Service Desk - Feature #1558

Create a New Role as Hardware Vendor
30/12/2024 01:35 PM - Krishna Kanth A

Status: QA/Stg/Prd Failed Start date: 30/12/2024
Priority: Normal Due date:

Assignee: Kalyan Battula % Done: 0%
Category: Estimated time: 0:00 hour
Target version: Spent time: 0:00 hour
Deployed In: QA Environment Category:

Description

Hi Bhanu Sir,

Could you please

1) Create a New Role as "Hardware Vendor" and include in Roles dropdown in User Creation Page. While Creating an User for this
Role only State Selection to be done.

2) change the Name of the My Tickets page as "Tickets Worklist".
In this page add one Dropdown DCCB in Filter Section, this Dropdown is to displayed only For Hardware Vendor Role. (Additional
details reg the Hardware Vendor Role are shared in the 3rd point)

3) For logged in User with "Hardware Vendor" role only the Tickets under the 2 SLA parameters of
"Network Related issues" and "Hardware Related Queries" to be displayed in the "Tickets Worklist" Page.

Please display the "SLA Parameters" Dropdown field in this page for this Role User with only 2 values of "Network Related issues”
and "Hardware Related Queries".

Please display only the below Menu items for this role.

1) Tickets Worklist
2) Reports

3) User Manual
4) Logout

5) Change Password

The ticket should be visible to the User only after it is Acknowledged by any other User with not Hardware Vendor Role.
and the User should be allowed to update ticket status from Acknowledged to Resolved.

History

#1 - 30/12/2024 01:36 PM - Durga Konduru

- Assignee changed from Durga Konduru to Bhanuchander Sannidhanam

#2 - 01/01/2025 10:55 AM - Krishna Kanth A

- Description updated

#3 - 07/01/2025 10:52 AM - Narayana Akkipalli
- Status changed from New to Ready for QA
- Assignee changed from Bhanuchander Sannidhanam to Narayana Akkipalli

- Deployed In set to Dev Envrionment

#4 - 08/01/2025 11:20 AM - Krishna Kanth A

- Deployed In changed from Dev Envrionment to QA Environment

#5 - 08/01/2025 05:01 PM - prathyusha Ramisetti
- File Screenshot 2025-01-08 124712.png added
- Status changed from Ready for QA to QA/Stg/Prd Failed
1. Admin cannot create a user for the "Hardware Vendor" role by selecting only the state; other fields are also required.

2. Unable to login user-->Hardware vendor

#6 - 08/01/2025 07:19 PM - prathyusha Ramisetti

- Assignee changed from Narayana Akkipalli to prathyusha Ramisetti

#7 - 08/01/2025 07:19 PM - prathyusha Ramisetti

- Assignee changed from prathyusha Ramisetti to Narayana Akkipalli

#8 - 08/01/2025 07:21 PM - prathyusha Ramisetti
- File Screenshot 2025-01-08 191920.png added

Successfully tested in QA.

#9 - 10/01/2025 08:49 AM - Praveen kumar Bandi

- Assignee changed from Narayana Akkipalli to Kalyan Battula

Files

Screenshot 2025-01-08 124712.png 36.7 KB 08/01/2025 prathyusha Ramisetti

Screenshot 2025-01-08 191920.png 132 KB 08/01/2025 prathyusha Ramisetti
